/*
====================================================================================================

    Copyright (C) 2020 RRe36

    All Rights Reserved unless otherwise explicitly stated.


    By downloading this you have agreed to the license and terms of use.
    These can be found inside the included license-file
    or here: https://rre36.github.io/license/

    Violating these terms may be penalized with actions according to the Digital Millennium
    Copyright Act (DMCA), the Information Society Directive and/or similar laws
    depending on your country.

====================================================================================================
*/

/* ------ atmosphere settings ------ */
    #define airTransmittanceHQ
    #define rainbowsEnabled

    /* --- clouds --- */
    #define cloudSourceRes 1    //[0 1 2]
    #define cloudReflectionsToggle

    #define cloudVolumeEnabled
    #define cloudVolumeSunlightDither
    #define cloudVolumeSkylightDither
    #define cloudCirrusEnabled

    /* --- fog --- */
    #define fogVolumeEnabled
    //#define fogMistAdvanced
    #define fogDensityMult 1.0      //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0]
    #define mistMieAnisotropy 0.8   //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9]

    #define waterVolumeEnabled
    #define waterDensity 1.0        //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0]

    /* --- dimensions --- */
    #define netherSmokeEnabled
    #define netherSmokeEmission
    #define netherSmokeEmissionMult 1.0      //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0]

    #define endSmokeEnabled

/* ------ lighting settings ------ */
//#define lightleakWorkaroundToggle
#define lightmapSmoothingEnabled
#define lightHqFilterEnabled
#define directionalLMEnabled
#define subsurfaceScatteringEnabled
#define minLightLuma 0.1   //[0.1 0.2 0.3 0.4 0.5 0.75 1.0 1.25 1.5 1.75 2.0 2.5 3.0 3.5 4.0 5.0 6.0 7.0 8.0 9.0 10.0]
#define emitterBoostEnabled
#define emitterRecoloring 0.2  //[0.0 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0]

    /* ------ shadow settings ------ */
    #define shadowVPSEnabled
    #define contactShadowsEnabled

    /* ------ effects settings ------ */
    #define ambientOcclusionToggle
    #define indirectResReduction 2  //[4 3 2 1]

    #define rtaoEnabled
    #define rtaoSPP 3       //[1 2 3 4 5 6]
    #define rtaoSteps 8    //[2 4 6 8 10 12 14 16]
    #define rtaoLength 32.0 //[8.0 16.0 24.0 32.0 40.0 48.0 56.0 64.0]

    #define ssgiToggle
    #define ssrtEmissionToggle
    #define ssrtSPP 4   //[1 2 3 4 5 6 7 8]
    #define ssrtRange 1.0    //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0 2.2 2.4 2.6 2.8 3.0 3.5 4.0]
    //#define rsmBounce
    #define rsmExtraSamples 3   //[1 2 3 4 5 6]
    #define rsmRange 1.0    //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0]


/* ------ world settings ------ */
#define normalmapEnabled
#define normalmapFormat 0   //[0 1]
#define windEffectsEnabled
#define windIntensity 1.0  //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0]

//#define pomEnabled

    /* --- reflections settings --- */
    #define specularBRDFEnabled
    //#define resourcepackReflectionsEnabled
    #define roughReflectionsEnabled
    #define roughReflectionSamples 4    //[2 3 4 5 6 7 8]
    #define roughReflectionsThreshold 0.9   //[0.5 0.6 0.7 0.8 0.9 1.0]
    #define roughSSR_maxR 0.5           //[0.4 0.5 0.6 0.7 0.8 0.9 1.0]


/* ------ camera settings ------ */
#define motionblurToggle
#define motionblurSamples 8     //[4 6 8 10 12 14 16 18 20]
#define motionblurScale 1.0     //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0]

//#define DoFToggle
#define DoFQuality 1    //[0 1 2]
#define DoFChromaDispersion

//#define lensFlareToggle
#define lensFlareBokehLod 2
#define lensFlareThreshold 35   //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1 2 3 4 5 6 8 10 12 14 16 18 20 25 30 35 40 45 50 60 70 80 90]

/* ------ post processing settings ------ */
#define taaEnabled
#define imageSharpenEnabled
#define bloomEnabled
//#define newExposure
//#define ACES_RRT

    /* ------ exposure settings ------ */
    #define exposureMinlum 1.0     //[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.2 1.4 1.6 1.8 2.0 2.2. 2.4 2.6 2.8 3.0 3.5 4.0 5.0 6.0 8.0 10.0 15.0 20.0]
    #define exposureSpeed 1.0      //[0.2 0.4 0.6 0.8 1.0 1.2 1.4 1.6 1.8 2.0 2.5 3.0 4.0]
    //#define manualExposureEnabled
    #define manualExposureValue 15.0     //[0.1 0.3 0.5 1.0 1.5 2.0 3.0 4.0 5.0 6.0 7.0 8.0 9.0 10.0 12.0 14.0 16.0 18.0 20.0 25.0 30.0 40.0 50.0]