#version 400 compatibility

/*
====================================================================================================

    Copyright (C) 2020 RRe36

    All Rights Reserved unless otherwise explicitly stated.


    By downloading this you have agreed to the license and terms of use.
    These can be found inside the included license-file
    or here: https://rre36.github.io/license/

    Violating these terms may be penalized with actions according to the Digital Millennium
    Copyright Act (DMCA), the Information Society Directive and/or similar laws
    depending on your country.

====================================================================================================
*/

#include "/lib/head.glsl"

#define sunlightIllum 1.0   //[0.1 0.2 0.3 0.4 0.5 0.75 1.0 1.25 1.5 1.75 2.0 2.5 3.0 3.5 4.0]

out vec2 coord;


#ifndef airTransmittanceHQ
uniform float eyeAltitude;

uniform vec3 sunvec;

flat out vec3 sunColor;

#include "/lib/atmos/air/const.glsl"
#include "/lib/atmos/air/rho.glsl"
#endif

void main() {
    gl_Position = vec4(gl_Vertex.xy * 2.0 - 1.0, 0.0, 1.0);
    coord = gl_MultiTexCoord0.xy;

    #ifndef airTransmittanceHQ
        sunColor = airTransmittance(vec3(0.0, planetRad + eyeAltitude, 0.0), sunvec, 6) * sunIllum * sqrt2;
    #endif
}